=== debian/changelog ===
editorconfig-geany (1) unstable; urgency=low

  * Initial Release.

 -- Andreas Wirooks <andreas.wirooks@1und1.de>  Mon, 07 May 2018 11:21:29 +0200
